List advertiser accounts
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accounts": [
{
"linkId": "42",
"accountId": "acc_acme_pinnacle",
"sources": [
{
"storefrontId": 0,
"storefrontName": "<string>",
"sourceId": "<string>",
"sourceName": "<string>"
}
],
"advertiserId": "12345",
"status": "active",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"name": "Acme c/o Pinnacle"
}
],
"total": 15
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
List advertiser accounts
List the sales-agent accounts already linked to an advertiser, with optional filtering by sales agent.
GET
/
advertisers
/
{advertiserId}
/
accounts
List advertiser accounts
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accounts": [
{
"linkId": "42",
"accountId": "acc_acme_pinnacle",
"sources": [
{
"storefrontId": 0,
"storefrontName": "<string>",
"sourceId": "<string>",
"sourceName": "<string>"
}
],
"advertiserId": "12345",
"status": "active",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"name": "Acme c/o Pinnacle"
}
],
"total": 15
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Query Parameters
Filter accounts to those reachable through this storefront. Pair with sourceId.
Required range:
0 < x <= 9007199254740991Example:
42
Filter accounts to those reachable through this inventory source. Pair with storefrontId.
Minimum string length:
1Example:
"src_main"
Filter by account status
Available options:
active, pending_approval, payment_required, suspended, closed, unreachable Number of results to return (max 250)
Required range:
0 < x <= 250Example:
50
Number of results to skip for pagination
Required range:
0 <= x <= 9007199254740991Example:
0
Response
List advertiser accounts
Response containing a paginated list of linked-account summaries